> ## Documentation Index
> Fetch the complete documentation index at: https://agnt.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Sentiment Analysis

> Analyze text to determine if the emotional tone of the message is positive, negative, or neutral.



## OpenAPI

````yaml /openapi/x.openapi.json get /v1/data/x/ai/sentiment-analysis
openapi: 3.0.0
info:
  title: agntdata X (Twitter) API
  description: >-
    Introducing "The Old Bird" API, a robust Twitter API designed to unlock
    valuable Twitter data effortlessly. With this API, you can access tweet
    details, user followers, followings, post engagements, and more. Explore
    top, latest, videos, photos, and people through our comprehensive search
    functionality. Retrieve user-specific information, including tweets,
    replies, media, likes, and profile details by username or ID.
  version: 1.0.0
  contact:
    name: agntdata
    url: https://agntdata.dev
servers:
  - url: https://api.agntdata.dev
    description: agntdata API
security:
  - ApiKeyAuth: []
tags:
  - name: User
    description: ''
  - name: Search
    description: ''
  - name: Hashtag
    description: ''
  - name: Tweet
    description: ''
  - name: Lists
    description: ''
  - name: Trends
    description: ''
  - name: Translation
    description: Translate Service
  - name: AI
    description: A set of AI related services
paths:
  /v1/data/x/ai/sentiment-analysis:
    get:
      tags:
        - AI
      summary: Sentiment Analysis
      description: >-
        Analyze text to determine if the emotional tone of the message is
        positive, negative, or neutral.
      operationId: Sentiment_Analysis_get__ai_sentiment_analysis
      parameters:
        - name: text
          in: query
          required: true
          schema:
            type: string
            default: >-
              You can not be a platform that allows almost every opinion to be
              aired and lose traffic. People want to share their opinion on
              platforms they know freedom of speech exists to a very large
              extent. I get 99% of my news here on X, which is like days ahead
              of traditional media.
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Get_x_ai_sentiment_analysis_Response'
              example:
                text: >-
                  You can not be a platform that allows almost every opinion to
                  be aired and lose traffic. People want to share their opinion
                  on platforms they know freedom of speech exists to a very
                  large extent. I get 99% of my news here on X, which is like
                  days ahead of traditional media.
                hash: >-
                  2d252f081fb05785cee399e372664a2687a2c1fdfe71b4c64806a30175b9672d
                trace_id: 2d8f5178-b848-4623-b1de-d8ec904e58f1
                sentiment:
                  value: POSITIVE
                  confidence: 0.7711061835289001
                elapsed_time: 0.17128494009375572
      security:
        - ApiKeyAuth: []
components:
  schemas:
    Get_x_ai_sentiment_analysis_Response:
      type: object
      properties:
        text:
          type: string
        hash:
          type: string
        trace_id:
          type: string
        sentiment:
          type: object
          properties:
            value:
              type: string
            confidence:
              type: number
        elapsed_time:
          type: number
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Bearer token. Pass your agntdata API key as: Authorization: Bearer
        agnt_live_...

````